> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prompt group performance

> Returns the average visibility, rank, sentiment, opportunity and search volume of each prompt group. Use `date_range` to select the period (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). Use `persona` and `llm` to limit the data to one persona and to some AI assistants.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/prompt-groups/performance
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/prompt-groups/performance:
    get:
      tags:
        - Prompts
      summary: Get prompt group performance
      description: >-
        Returns the average visibility, rank, sentiment, opportunity and search
        volume of each prompt group. Use `date_range` to select the period
        (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). Use
        `persona` and `llm` to limit the data to one persona and to some AI
        assistants.
      operationId: group_performance
      parameters:
        - in: query
          name: date_range
          schema:
            enum:
              - 7g
              - 1a
              - 3a
              - 6a
              - 1y
              - custom
            type: string
            default: 1a
            minLength: 1
          description: |-
            * `7g` - 7g
            * `1a` - 1a
            * `3a` - 3a
            * `6a` - 6a
            * `1y` - 1y
            * `custom` - custom
        - in: query
          name: llm
          schema:
            type: array
            items:
              enum:
                - chatgpt
                - gemini
                - claude
                - perplexity
                - googleai
                - grok
                - deepseek
              type: string
              description: |-
                * `chatgpt` - chatgpt
                * `gemini` - gemini
                * `claude` - claude
                * `perplexity` - perplexity
                * `googleai` - googleai
                * `grok` - grok
                * `deepseek` - deepseek
        - in: query
          name: persona
          schema:
            type: string
            format: uuid
            nullable: true
        - in: query
          name: since
          schema:
            type: string
            format: date
          description: The first day of a `custom` range.
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: until
          schema:
            type: string
            format: date
          description: The last day of a `custom` range.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupPerformanceResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    GroupPerformanceResponse:
      type: object
      properties:
        summary:
          $ref: '#/components/schemas/GroupPerformanceSummaryDTO'
        rows:
          type: array
          items:
            $ref: '#/components/schemas/GroupPerformanceRowDTO'
      required:
        - rows
        - summary
    GroupPerformanceSummaryDTO:
      type: object
      properties:
        total_groups:
          type: integer
        grouped_prompts:
          type: integer
      required:
        - grouped_prompts
        - total_groups
    GroupPerformanceRowDTO:
      type: object
      properties:
        label:
          type: string
        count:
          type: integer
        avg_visibility:
          type: number
          format: double
        avg_rank:
          type: number
          format: double
          nullable: true
        avg_opportunity:
          type: integer
          nullable: true
        avg_sentiment:
          type: number
          format: double
          nullable: true
        avg_volume:
          type: integer
          nullable: true
      required:
        - avg_visibility
        - count
        - label
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.